OCF_HEARTBEAT_VIPARI(7)

NAME
ocf_heartbeat_VIPArip - Manages a virtual IP address through RIP2

SYNOPSIS

VIPArip [start | stop | monitor | meta-data | validate-all]

DESCRIPTION

Virtual IP Address by RIP2 protocol. This script manages IP alias in different subnet with quagga/ripd. It can add an IP alias, or remove one.

SUPPORTED PARAMETERS

ip
    The IPv4 address in different subnet, for example "192.168.1.1".

    (unique, required, string, no default)

nic
    The nic for broadcast the route information. The ripd uses this nic to broadcast the route information to others

    (optional, string, default "eth0")

zebra_binary
    Absolute path to the zebra binary.

    (optional, string, default "/usr/sbin/zebra")

ripd_binary
    Absolute path to the ripd binary.

    (optional, string, default "/usr/sbin/ripd")

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 20s.

stop
    Stops the resource. Suggested minimum timeout: 20s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 20s. Suggested interval: 5s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 20s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 5s.

EXAMPLE CRM SHELL

The following is an example configuration for a VIPArip resource using the crm(8) shell:

    primitive p_VIPArip ocf:heartbeat:VIPArip \
      params \
        ip=string \
      op monitor depth="0" timeout="20s" interval="5s"

EXAMPLE PCS

The following is an example configuration for a VIPArip resource using pcs(8)

    pcs resource create p_VIPArip ocf:heartbeat:VIPArip \
      ip=string \
      op monitor OCF_CHECK_LEVEL="0" timeout="20s" interval="5s"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)